Subject: 23.0.60; Changed meaning of * in buffer name completion

From: Richard M Stallman <[email-masked]>
Date: Tue, 06 Jan 2009 07:31:14 -0500

The change to treat * as a wildcard is often a pain in the neck.
Such changes should not be made without polling the users first.

Please undo this change, poll the users, and redo the change
if they generally want it.

In GNU Emacs 23.0.60.16 (mipsel-unknown-linux-gnu, GTK+ Version 2.12.11)
 of 2009-01-03 on lemote-yeeloong
configured using `configure  'CFLAGS=-O0 -g -Wno-pointer-sign' 'mipsel-unknown-linux-gnu' 'build_alias=mipsel-unknown-linux-gnu' 'host_alias=mipsel-unknown-linux-gnu' 'target_alias=mipsel-unknown-linux-gnu''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
R e a s o n SPC a s SPC a SPC c r i m e C-n C-n C-n 
C-n DEL C-x o ESC v C-x o I SPC w i s h SPC I SPC c 
o u d SPC DEL DEL l d SPC g o SPC t o SPC y o u r SPC 
t a l , SPC DEL DEL k , SPC b u t SPC s i n c e SPC 
I SPC a m SPC n t SPC DEL DEL o t SPC i n SPC C a l 
i r o f DEL DEL DEL f o r n i a , RET I SPC c a n ' 
t . ESC q SPC SPC H a v e SPC y o u SPC w r i t t e 
n SPC a b o u t SPC t h i s ? RET RET I SPC w o u d 
SPC DEL DEL ESC DEL c o u l d SPC t r y SPC t o SPC 
f i g u r e SPC o DEL i t SPC o u t SPC f o r m SPC 
DEL DEL SPC m y s e l f , SPC b u t SPC I SPC a m SPC 
n o t s u r e RET C-u C-b C-b SPC C-n t h a t SPC w 
o u l d SPC b e SPC l a w f u l . RET C-u C-u C-p C-n 
C-n C-n C-o b c c : SPC r e s p w C-c C-c C-d m e m 
a c s C-g ESC x r e p o r t SPC e m a c s SPC b u g 
RET

Recent messages:
Sending...
Wrote /home/rms/outgoing/out-36
Sending...done
Expunging deleted messages...done
Expunging deleted messages...done
Mark set [2 times]
Auto-saving...done
Sending...
Wrote /home/rms/outgoing/out-37
Sending...done
Quit